%define qtmajor 5
%define qtminor 0
%define qtsubminor 2
%define rel 1

%define major_private 1
%define qtversion %{qtmajor}.%{qtminor}.%{qtsubminor}

%define qttarballdir qtdoc-opensource-src-%{qtversion}

Name: qtdoc5
Version: %{qtversion}
Release: %mkrel %{rel}
Summary: Qt GUI toolkit
Group: Development/KDE and Qt
License: LGPLv2 with exceptions or GPLv3 with exceptions and GFDL
URL:     http://www.qt-project.org
Source0: http://releases.qt-project.org/qt5/%{version}/submodules_tar/%{qttarballdir}.tar.xz
BuildRequires: qtbase5-devel
BuildRequires: qttools5-assistant
BuildArch: noarch

#Branch Patchs

#Trunk Patchs

#Patch from Mageia


%description
Qt5 Documentation

%files
# Need to be splitted ?
%doc %_qt5_docdir

#------------------------------------------------------------------------------

%prep
%setup -q -n %qttarballdir

%build
%qmake_qt5
%make docs

#------------------------------------------------------------------------------

%install
%qmakeinstall_std

mkdir -p %{buildroot}%{_qt5_docdir}
cp -fr doc/qtdoc* %{buildroot}%{_qt5_docdir}/


%changelog

* Thu Apr 18 2013 neoclust <neoclust> 5.0.2-1.mga3
+ Revision: 410413
- New version 5.0.2

* Sat Feb 02 2013 neoclust <neoclust> 5.0.1-1.mga3
+ Revision: 394025
- New version 5.0.1 Final

* Sat Jan 26 2013 neoclust <neoclust> 5.0.1-0.rc1.1.mga3
+ Revision: 392335
- New version 5.0.1 rc1

* Fri Jan 25 2013 fwang <fwang> 5.0.0-1.mga3
+ Revision: 392257
- install docs
- it should be a noarch package now
- br qhelpgenerator
- make docs
- 5.0.0 final

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

  + neoclust <neoclust>
    - New daily rc snapshot

* Sat Nov 17 2012 neoclust <neoclust> 5.0.0-0.beta.16.mga3
+ Revision: 319206
- imported package qtdoc5

